// SPDX-License-Identifier: AGPL-3.0-or-later
//! This crate contains the implementation of the secure message transport `bttp`.
//! 
//! A `bttp` server is implemented by [Receiver] and a client by [Transmitter].
#![feature(impl_trait_in_assoc_type)]

pub use btlib::Result;

mod common;
pub use common::{BlockAddr, CallMsg, SendMsg};

mod tls;

mod serialization;
pub use serialization::DeserCallback;

mod transmitter;
pub use transmitter::Transmitter;

mod receiver;
pub use receiver::{MsgCallback, MsgReceived, Receiver, Replier};
