#!/bin/sh
set -e

if [ -z "$BT_APP" ]; then
    echo The enironment variable BT_APP must be set to the name of the crate to build.
    exit 1
fi

BASE_DEPENDS='openssl tpm2-tss'
if [ btfsd = "$BT_APP" ]; then
    BT_DEPENDS="$BASE_DEPENDS"
elif [ btprovision = "$BT_APP" ]; then
    BT_DEPENDS="$BASE_DEPENDS"
elif [ btfuse = "$BT_APP" ]; then
    BT_DEPENDS="$BASE_DEPENDS fuse3"
else 
    echo Unrecognized BT_APP: $BT_APP
    exit 2
fi

sudo docker build -t $BT_APP:latest\
  --build-arg BT_APP=$BT_APP --build-arg BT_DEPENDS="$BT_DEPENDS"\
  -f Dockerfile ..